commit d85b90eff925bc6fc6d463676274b457af497f3c
Author: mbkma <johannes.unruh@fau.de>
Date:   Fri Nov 11 20:35:03 2022 +0100

    release 1.27.0

 NEWS         | 30 ++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 31 insertions(+), 1 deletion(-)

commit eefc42de71ca06ef57ad10dd1ea92ccfd9615d0c
Author: mbkma <johannes.unruh@fau.de>
Date:   Wed Nov 9 22:22:15 2022 +0100

    tx: sync with transifex

 po/af.po          | 140 ++++++++++--------
 po/am.po          | 140 ++++++++++--------
 po/ar.po          | 140 ++++++++++--------
 po/as.po          | 140 ++++++++++--------
 po/ast.po         | 140 ++++++++++--------
 po/az.po          | 140 ++++++++++--------
 po/be.po          | 140 ++++++++++--------
 po/bg.po          | 140 ++++++++++--------
 po/bn.po          | 140 ++++++++++--------
 po/bn_IN.po       | 140 ++++++++++--------
 po/br.po          | 140 ++++++++++--------
 po/bs.po          | 140 ++++++++++--------
 po/ca.po          | 148 ++++++++++---------
 po/ca@valencia.po | 140 ++++++++++--------
 po/cmn.po         | 140 ++++++++++--------
 po/crh.po         | 140 ++++++++++--------
 po/cs.po          | 158 ++++++++++++---------
 po/cy.po          | 140 ++++++++++--------
 po/da.po          | 154 +++++++++++---------
 po/de.po          | 140 ++++++++++--------
 po/dz.po          | 150 +++++++++++---------
 po/el.po          | 142 ++++++++++---------
 po/en_AU.po       | 140 ++++++++++--------
 po/en_CA.po       | 140 ++++++++++--------
 po/en_GB.po       | 186 +++++++++++++-----------
 po/eo.po          | 145 ++++++++++---------
 po/es.po          | 156 +++++++++++---------
 po/es_AR.po       | 145 ++++++++++---------
 po/es_CO.po       | 145 ++++++++++---------
 po/es_MX.po       | 145 ++++++++++---------
 po/et.po          | 140 ++++++++++--------
 po/eu.po          | 140 ++++++++++--------
 po/fa.po          | 140 ++++++++++--------
 po/fi.po          | 140 ++++++++++--------
 po/fr.po          | 155 +++++++++++---------
 po/frp.po         | 140 ++++++++++--------
 po/fur.po         | 140 ++++++++++--------
 po/fy.po          | 140 ++++++++++--------
 po/ga.po          | 140 ++++++++++--------
 po/gl.po          | 140 ++++++++++--------
 po/gu.po          | 140 ++++++++++--------
 po/he.po          | 148 ++++++++++---------
 po/hi.po          | 140 ++++++++++--------
 po/hr.po          | 140 ++++++++++--------
 po/hu.po          | 140 ++++++++++--------
 po/hy.po          | 140 ++++++++++--------
 po/ia.po          | 140 ++++++++++--------
 po/id.po          | 146 +++++++++++--------
 po/ie.po          | 140 ++++++++++--------
 po/is.po          | 140 ++++++++++--------
 po/it.po          | 297 ++++++++++++++++++++------------------
 po/ja.po          | 153 +++++++++++---------
 po/ka.po          | 140 ++++++++++--------
 po/kab.po         | 140 ++++++++++--------
 po/kk.po          | 140 ++++++++++--------
 po/kn.po          | 140 ++++++++++--------
 po/ko.po          | 142 ++++++++++---------
 po/ku.po          | 140 ++++++++++--------
 po/ku_IQ.po       | 140 ++++++++++--------
 po/ky.po          | 140 ++++++++++--------
 po/lt.po          | 148 +++++++++++--------
 po/lv.po          | 140 ++++++++++--------
 po/mai.po         | 140 ++++++++++--------
 po/mg.po          | 140 ++++++++++--------
 po/mk.po          | 140 ++++++++++--------
 po/ml.po          | 140 ++++++++++--------
 po/mn.po          | 140 ++++++++++--------
 po/mr.po          | 140 ++++++++++--------
 po/ms.po          | 140 ++++++++++--------
 po/nb.po          | 148 ++++++++++---------
 po/nds.po         | 152 +++++++++++---------
 po/ne.po          | 140 ++++++++++--------
 po/nl.po          | 148 +++++++++++--------
 po/nn.po          | 140 ++++++++++--------
 po/oc.po          | 183 ++++++++++++++----------
 po/or.po          | 142 ++++++++++---------
 po/pa.po          | 140 ++++++++++--------
 po/pl.po          | 152 +++++++++++---------
 po/ps.po          | 142 ++++++++++---------
 po/pt.po          | 164 ++++++++++++---------
 po/pt_BR.po       | 145 ++++++++++---------
 po/ro.po          | 140 ++++++++++--------
 po/ru.po          | 177 +++++++++++++----------
 po/sc.po          | 140 ++++++++++--------
 po/si.po          | 140 ++++++++++--------
 po/sk.po          | 140 ++++++++++--------
 po/sl.po          | 197 +++++++++++++++-----------
 po/sq.po          | 140 ++++++++++--------
 po/sr.po          | 146 +++++++++++--------
 po/sr@latin.po    | 140 ++++++++++--------
 po/sv.po          | 148 ++++++++++---------
 po/ta.po          | 140 ++++++++++--------
 po/te.po          | 140 ++++++++++--------
 po/th.po          | 140 ++++++++++--------
 po/tr.po          | 172 ++++++++++++----------
 po/tt.po          | 140 ++++++++++--------
 po/ug.po          | 140 ++++++++++--------
 po/uk.po          | 415 +++++++++++++++++++++++++++++-------------------------
 po/ur.po          | 140 ++++++++++--------
 po/uz.po          | 140 ++++++++++--------
 po/vi.po          | 140 ++++++++++--------
 po/wa.po          | 140 ++++++++++--------
 po/xh.po          | 140 ++++++++++--------
 po/zh_CN.po       | 254 ++++++++++++++++++---------------
 po/zh_HK.po       | 140 ++++++++++--------
 po/zh_TW.po       | 144 +++++++++++--------
 po/zu.po          | 140 ++++++++++--------
 107 files changed, 8928 insertions(+), 7044 deletions(-)

commit 72a004319fdb03aae6b053b5009c407d590722be
Author: mbkma <johannes.unruh@fau.de>
Date:   Sat Oct 29 15:39:07 2022 +0200

    tx: update resource

 mate-screensaver.pot | 112 +++++++++++++++++++++++++--------------------------
 1 file changed, 54 insertions(+), 58 deletions(-)

commit dd674b28a93672788c63779e6c978fdb54583108
Author: mbkma <johannes.unruh@fau.de>
Date:   Fri Oct 28 21:55:01 2022 +0200

    tx: migrate config file

 .tx/config                    | 13 +++++++------
 .tx/config_20221028214813.bak |  9 +++++++++
 2 files changed, 16 insertions(+), 6 deletions(-)

commit 6fac017a634dd0ea893343c2f0682ddfa8bcf45e
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Jun 1 09:51:27 2022 +0200

    build warning: AC_OUTPUT should be used without arguments

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 95affff6b702f614dff0c313e707b92c19297177
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Dec 22 08:20:29 2021 +0100

    gs-prefs: macros instead of static methods of one sentence

 src/gs-prefs.c | 65 ++++++++--------------------------------------------------
 1 file changed, 9 insertions(+), 56 deletions(-)

commit c97d51e16df73c4b99332d6ca9c7563c86989fc9
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Dec 22 07:53:46 2021 +0100

    Fix implicit conversion changes signedness: 'gboolean' to 'guint'

 savers/floaters.c      |  4 ++--
 src/gs-fade.c          |  2 +-
 src/gs-grab-x11.c      |  4 ++--
 src/gs-listener-dbus.c | 10 +++++-----
 src/gs-manager.c       | 12 ++++++------
 src/gs-prefs.c         | 16 ++++++++--------
 src/gs-watcher-x11.c   |  8 ++++----
 src/gs-window-x11.c    | 12 ++++++------
 8 files changed, 34 insertions(+), 34 deletions(-)

commit 75fb2de203206f7a0f76b3ba5241a79e31ef607f
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Dec 14 15:01:06 2021 +0100

    gs-window-x11: Fix -Wshorten-64-to-32 warning

 src/gs-window-x11.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ea0fdb3c10118217e05a95a3239ddc4653c15bcf
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Dec 14 15:00:41 2021 +0100

    gs-watcher-x11: Fix -Wshorten-64-to-32 warning

 src/gs-watcher-x11.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7b8bc9c362f8ece315998e7f9e602131ecfb3c10
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Dec 14 15:00:16 2021 +0100

    gs-lock-plug: Fix -Wshorten-64-to-32 warning

 src/gs-lock-plug.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c54cb9f338830e3d8b7afdc7c7110ecdf946313f
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Dec 14 14:59:36 2021 +0100

    xdg-user-dir-lookup: Fix -Wshorten-64-to-32 warning

 savers/xdg-user-dir-lookup.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit b269d8c14d898f81574fb11af8bd8ea15208fc1d
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Dec 14 12:17:35 2021 +0100

    mate-screensaver-preferences: Fix -Wfloat-conversion warnings

 src/mate-screensaver-preferences.c | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

commit 35fdef86b64ccd3307f3aeac05a496f8c8fc426f
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Dec 14 12:16:15 2021 +0100

    gs-fade: Fix -Wfloat-conversion warnings

 src/gs-fade.c | 49 ++++++++++++++++++-------------------------------
 1 file changed, 18 insertions(+), 31 deletions(-)

commit e1cc6f63f409abe17d0f6803b0697a87ed57985e
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Jan 30 17:59:08 2022 +0100

    mate-screensaver-preferences: fix memory leak

 src/mate-screensaver-preferences.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit dc4857ad422547e89d88715c4ca2730e3225a5d7
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Oct 27 13:31:32 2021 +0200

    Unnecessary G_OBJECT cast when calling signal connect function

 savers/floaters.c                  | 9 +++++----
 savers/popsquares.c                | 5 +++--
 savers/slideshow.c                 | 5 +++--
 src/mate-screensaver-preferences.c | 2 +-
 4 files changed, 12 insertions(+), 9 deletions(-)

commit c419a6be1e3ba4ba2c6798414450d2c48016ce49
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Oct 28 11:39:18 2021 +0200

    Fix build warnings about missing field initializer

 savers/floaters.c              | 2 +-
 savers/slideshow.c             | 2 +-
 src/mate-screensaver-command.c | 2 +-
 src/mate-screensaver-dialog.c  | 2 +-
 src/mate-screensaver.c         | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit dd539abf0f68dbf2621a515b5e8bafd1c4f2214e
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Nov 29 12:58:44 2021 +0100

    gs-listener-dbus: GTimeVal deprecation

 src/gs-listener-dbus.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit e01250a082dda7c715a14c36727a30d5dfd9a2b3
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Nov 29 12:38:54 2021 +0100

    floaters: GTimeVal deprecation

 savers/floaters.c | 11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit 951fda145f4ac52c4abea497b7a9adfd869da676
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Oct 26 13:46:49 2021 +0200

    Don't build the path to mate-screensaver-dialog

 src/gs-window-x11.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 7667d54262f41486eba1d8a6608f48fbfbb0855e
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Oct 26 13:31:46 2021 +0200

    Don't build the path to mate-screensaver-gl-helper

 src/Makefile.am                    | 1 +
 src/gs-window-x11.c                | 9 +++------
 src/mate-screensaver-preferences.c | 9 +++------
 3 files changed, 7 insertions(+), 12 deletions(-)

commit 53a3feeb421a2a3d01ae290d4d830658510eee60
Author: raveit65 <mate@raveit.de>
Date:   Sun Feb 13 20:11:58 2022 +0100

    ci: drop -Wunused-parameter compiler cflag from debian build

 .build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bc818733fbbd96a3de36f800d567e54009cc0630
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Oct 22 17:24:56 2021 +0200

    mate-screensaver-preferences: fix memory leak

 src/mate-screensaver-preferences.c | 125 +++++++++++++++++++------------------
 1 file changed, 64 insertions(+), 61 deletions(-)

commit 49583434affd844e879a7f60b570a7b2cc2987a0
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Oct 27 20:19:58 2021 +0200

    build: show configure summary using a pretty format

 configure.ac | 78 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 40 insertions(+), 38 deletions(-)

commit 891e848a195afe34f73b63b4d872c7e7f9f9a5c6
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Oct 27 18:08:57 2021 +0200

    Use a blank line at most

 savers/floaters.c                  | 1 -
 savers/gste-slideshow.c            | 2 --
 src/gs-auth-pam.c                  | 1 -
 src/gs-auth-pwent.c                | 1 -
 src/gs-fade.c                      | 3 ---
 src/gs-listener-dbus.c             | 1 -
 src/gs-lock-plug.c                 | 6 ------
 src/gs-manager.c                   | 3 ---
 src/gs-prefs.c                     | 1 -
 src/gs-watcher-x11.c               | 1 -
 src/mate-screensaver-dialog.c      | 2 --
 src/mate-screensaver-preferences.c | 2 --
 src/setuid.c                       | 2 --
 src/subprocs.c                     | 2 --
 src/test-passwd.c                  | 1 -
 15 files changed, 29 deletions(-)

commit 8297a0f47b43f5e051ad2696d0843d23b236e7ec
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Nov 2 18:11:21 2021 +0100

    gs-theme-manager: reload on menu_tree changed

 src/gs-theme-manager.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit ed6e6065bf0e85b64317b5a34b9f7a36a0c839a6
Author: Paul Wolneykien <wolneykien@gmail.com>
Date:   Fri Oct 15 17:29:51 2021 +0300

    Prompt-driven auth. helper
    
    By the term "prompt-driven" I mean two-way conversation between the
    screensaver dialog and the PAM stack. As you probably know, PAM works
    by conversation with a dialog program asking the user to enter
    something in answer to each message it sends. In the most conventional
    case, the only question is "Password:" and the password is the only
    data the user enters. But in general, the number of questions and
    messages are not limited to that.
    
    The previous support of PAM helper (gs-auth-helper.c) was written and
    worked for the mentioned "only password" authentication scheme. For
    other schemes it wasn't enough. New implementation fixes that
    limitation.
    
    Same as the previous version of gs-auth-helper.c, the new version uses
    pipe interface for interprocess communication and synchronization.
    However, unlike the previous version, new version uses two pipes
    instead of a single pipe: the first one is used to transfer
    prompt text from PAM via the helper to the screensaver dialog, and the
    second one is used to transfer the user input from the dialog to
    helper (and then the helper replies with it back to PAM). Having that
    bidirectional prompt/reply channel it is possible to make as many
    prompt/reply passes as required by PAM.
    
    The present helper program (see the helper/ dir) is based on the
    helper written by okir@suse.de, which is in turn loosely based on
    unix_chkpwd by Andrew Morgan.
    
    All new code is untabified under the assumption the tab width is 8.
    
    Signed-off-by: Paul Wolneykien <manowar@altlinux.org>

 Makefile.am           |   7 +-
 configure.ac          |  25 +++--
 helper/Makefile.am    |  27 +++++
 helper/helper_proto.c | 167 +++++++++++++++++++++++++++++
 helper/helper_proto.h |  53 +++++++++
 helper/pam-helper.c   | 289 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/Makefile.am       |  16 ++-
 src/gs-auth-helper.c  | 202 ++++++++++++++++++-----------------
 src/gs-auth-pam.c     |  28 +----
 src/gs-auth-pam.h     |  54 ++++++++++
 10 files changed, 733 insertions(+), 135 deletions(-)

commit a2a282631d9ad88cf5e64f2379c5beb5ab3fab25
Author: raveit65 <mate@raveit.de>
Date:   Sat Sep 18 17:26:43 2021 +0200

    tx: update resource

 mate-screensaver.pot | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d4dcba69391b40af232716072e193e1b4f876ca7
Author: raveit65 <mate@raveit.de>
Date:   Sat Sep 18 17:22:09 2021 +0200

    tx: fix typos reported by translators

 data/org.mate.screensaver.gschema.xml.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2429edb6fde6f894f9cb4ddc5adc963a2c3898b0
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 5 09:34:13 2021 +0200

    update to 1.26.0

 NEWS         | 28 +++++++++++++++++++++++++++-
 configure.ac |  2 +-
 2 files changed, 28 insertions(+), 2 deletions(-)

commit 1001d6222a8eff95157ae7e6ff627b789a0033ff
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 5 09:27:36 2021 +0200

    tx: sync with transifex

 po/LINGUAS        |   2 +
 po/af.po          | 309 +++++++++++----------
 po/am.po          | 309 +++++++++++----------
 po/ar.po          | 310 +++++++++++----------
 po/as.po          | 309 +++++++++++----------
 po/ast.po         | 311 +++++++++++----------
 po/az.po          | 309 +++++++++++----------
 po/be.po          | 309 +++++++++++----------
 po/bg.po          | 313 +++++++++++----------
 po/bn.po          | 309 +++++++++++----------
 po/bn_IN.po       | 309 +++++++++++----------
 po/br.po          | 310 +++++++++++----------
 po/bs.po          | 309 +++++++++++----------
 po/ca.po          | 313 +++++++++++----------
 po/ca@valencia.po | 311 +++++++++++----------
 po/cmn.po         | 309 +++++++++++----------
 po/crh.po         | 309 +++++++++++----------
 po/cs.po          | 314 +++++++++++----------
 po/cy.po          | 311 +++++++++++----------
 po/da.po          | 311 +++++++++++----------
 po/de.po          | 312 +++++++++++----------
 po/dz.po          | 309 +++++++++++----------
 po/el.po          | 312 +++++++++++----------
 po/en_AU.po       | 309 +++++++++++----------
 po/en_CA.po       | 309 +++++++++++----------
 po/en_GB.po       | 311 +++++++++++----------
 po/eo.po          | 309 +++++++++++----------
 po/es.po          | 315 +++++++++++----------
 po/es_AR.po       | 305 +++++++++++----------
 po/es_CO.po       | 309 +++++++++++----------
 po/es_MX.po       | 305 +++++++++++----------
 po/et.po          | 311 +++++++++++----------
 po/eu.po          | 335 ++++++++++++-----------
 po/fa.po          | 309 +++++++++++----------
 po/fi.po          | 309 +++++++++++----------
 po/fr.po          | 330 +++++++++++-----------
 po/frp.po         | 305 +++++++++++----------
 po/fur.po         | 460 +++++++++++++++++--------------
 po/fy.po          | 305 +++++++++++----------
 po/ga.po          | 309 +++++++++++----------
 po/gl.po          | 335 ++++++++++++-----------
 po/gu.po          | 309 +++++++++++----------
 po/he.po          | 317 +++++++++++-----------
 po/hi.po          | 311 +++++++++++----------
 po/hr.po          | 311 +++++++++++----------
 po/hu.po          | 311 +++++++++++----------
 po/hy.po          | 309 +++++++++++----------
 po/ia.po          | 305 +++++++++++----------
 po/id.po          | 313 +++++++++++----------
 po/ie.po          | 310 +++++++++++----------
 po/is.po          | 309 +++++++++++----------
 po/it.po          | 314 +++++++++++----------
 po/ja.po          | 337 ++++++++++++-----------
 po/ka.po          | 309 +++++++++++----------
 po/kab.po         | 309 +++++++++++----------
 po/kk.po          | 310 +++++++++++----------
 po/kn.po          | 309 +++++++++++----------
 po/ko.po          | 331 +++++++++++-----------
 po/ku.po          | 309 +++++++++++----------
 po/ku_IQ.po       | 309 +++++++++++----------
 po/ky.po          | 309 +++++++++++----------
 po/lt.po          | 311 +++++++++++----------
 po/lv.po          | 309 +++++++++++----------
 po/mai.po         | 309 +++++++++++----------
 po/mg.po          | 309 +++++++++++----------
 po/mk.po          | 311 +++++++++++----------
 po/ml.po          | 309 +++++++++++----------
 po/mn.po          | 309 +++++++++++----------
 po/mr.po          | 311 +++++++++++----------
 po/ms.po          | 313 +++++++++++----------
 po/nb.po          | 313 +++++++++++----------
 po/nds.po         | 309 +++++++++++----------
 po/ne.po          | 309 +++++++++++----------
 po/nl.po          | 311 +++++++++++----------
 po/nn.po          | 309 +++++++++++----------
 po/oc.po          | 406 ++++++++++++++-------------
 po/or.po          | 309 +++++++++++----------
 po/pa.po          | 309 +++++++++++----------
 po/pl.po          | 326 +++++++++++-----------
 po/ps.po          | 309 +++++++++++----------
 po/pt.po          | 313 +++++++++++----------
 po/pt_BR.po       | 312 +++++++++++----------
 po/ro.po          | 311 +++++++++++----------
 po/ru.po          | 311 +++++++++++----------
 po/sc.po          | 798 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/si.po          | 309 +++++++++++----------
 po/sk.po          | 311 +++++++++++----------
 po/sl.po          | 309 +++++++++++----------
 po/sq.po          | 311 +++++++++++----------
 po/sr.po          | 311 +++++++++++----------
 po/sr@latin.po    | 311 +++++++++++----------
 po/sv.po          | 314 +++++++++++----------
 po/ta.po          | 309 +++++++++++----------
 po/te.po          | 310 +++++++++++----------
 po/th.po          | 309 +++++++++++----------
 po/tr.po          | 311 +++++++++++----------
 po/tt.po          | 795 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ug.po          | 309 +++++++++++----------
 po/uk.po          | 346 ++++++++++++-----------
 po/ur.po          | 309 +++++++++++----------
 po/uz.po          | 311 +++++++++++----------
 po/vi.po          | 309 +++++++++++----------
 po/wa.po          | 309 +++++++++++----------
 po/xh.po          | 309 +++++++++++----------
 po/zh_CN.po       | 330 +++++++++++-----------
 po/zh_HK.po       | 309 +++++++++++----------
 po/zh_TW.po       | 311 +++++++++++----------
 po/zu.po          | 460 +++++++++++++++++--------------
 108 files changed, 19025 insertions(+), 15703 deletions(-)

commit a31c3a077134bad09467adb47c895fb229b34917
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 5 09:23:33 2021 +0200

    tx: update resource

 mate-screensaver.pot | 51 ++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 36 insertions(+), 15 deletions(-)

commit 8a6c806f2e86e06b938666beabf0e103a05bfb2f
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 5 09:21:49 2021 +0200

    travis-Ci: use libera.chat as notification server

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7a0c1cc6f76b2c5d844bbbd32dad70d4f7473e8
Author: Eugene San (eugenesan) <eugenesan@gmail.com>
Date:   Sun Jun 6 07:50:26 2021 -0700

    Allow change of time and date formats on lock screen v4

 data/org.mate.screensaver.gschema.xml.in | 10 ++++++++
 src/gs-lock-plug.c                       | 42 +++++++++++++++++++++++++++++---
 2 files changed, 49 insertions(+), 3 deletions(-)

commit 7ffbcab9ca98bddef8bc5170210aa9a9dacf13dd
Author: raveit65 <mate@raveit.de>
Date:   Tue Jun 22 19:37:31 2021 +0200

    tx: update resource

 mate-screensaver.pot | 258 +++++++++++++++++++++++++++------------------------
 1 file changed, 135 insertions(+), 123 deletions(-)

commit 5bbd273b2992cecb777fbfd1db1fb02ffe606bec
Author: raveit65 <mate@raveit.de>
Date:   Tue Jun 22 19:35:05 2021 +0200

    update copyright to 2021

 savers/floaters.c                  | 1 +
 savers/gs-theme-engine.c           | 1 +
 savers/gs-theme-engine.h           | 1 +
 savers/gs-theme-window.c           | 1 +
 savers/gs-theme-window.h           | 1 +
 savers/gste-popsquares.c           | 1 +
 savers/gste-popsquares.h           | 1 +
 savers/gste-slideshow.c            | 1 +
 savers/gste-slideshow.h            | 1 +
 savers/popsquares.c                | 1 +
 savers/slideshow.c                 | 1 +
 savers/xdg-user-dir-lookup.c       | 1 +
 savers/xdg-user-dir-lookup.h       | 1 +
 src/copy-theme-dialog.c            | 1 +
 src/copy-theme-dialog.h            | 1 +
 src/gs-auth-bsdauth.c              | 1 +
 src/gs-auth-helper.c               | 1 +
 src/gs-auth-pam.c                  | 1 +
 src/gs-auth-pwent.c                | 1 +
 src/gs-auth.h                      | 1 +
 src/gs-debug.c                     | 1 +
 src/gs-debug.h                     | 1 +
 src/gs-fade.c                      | 1 +
 src/gs-fade.h                      | 1 +
 src/gs-grab-x11.c                  | 1 +
 src/gs-grab.h                      | 1 +
 src/gs-job.c                       | 1 +
 src/gs-job.h                       | 1 +
 src/gs-listener-dbus.c             | 1 +
 src/gs-listener-dbus.h             | 1 +
 src/gs-lock-plug.c                 | 1 +
 src/gs-lock-plug.h                 | 1 +
 src/gs-manager.c                   | 1 +
 src/gs-manager.h                   | 1 +
 src/gs-monitor.c                   | 1 +
 src/gs-monitor.h                   | 1 +
 src/gs-prefs.c                     | 1 +
 src/gs-prefs.h                     | 1 +
 src/gs-theme-manager.c             | 1 +
 src/gs-theme-manager.h             | 1 +
 src/gs-visual-gl.c                 | 1 +
 src/gs-visual-gl.h                 | 1 +
 src/gs-watcher-x11.c               | 1 +
 src/gs-watcher.h                   | 1 +
 src/gs-window-x11.c                | 1 +
 src/gs-window.h                    | 1 +
 src/mate-screensaver-command.c     | 1 +
 src/mate-screensaver-dialog.c      | 1 +
 src/mate-screensaver-gl-helper.c   | 1 +
 src/mate-screensaver-preferences.c | 1 +
 src/mate-screensaver.c             | 1 +
 src/mate-screensaver.h             | 1 +
 src/setuid.c                       | 1 +
 src/setuid.h                       | 1 +
 src/subprocs.c                     | 1 +
 src/subprocs.h                     | 1 +
 src/test-fade.c                    | 1 +
 src/test-passwd.c                  | 1 +
 src/test-watcher.c                 | 1 +
 src/test-window.c                  | 1 +
 60 files changed, 60 insertions(+)

commit d7b09d17e5590f073dcdb39a679039e458b98a73
Author: raveit65 <mate@raveit.de>
Date:   Sun May 30 16:45:26 2021 +0200

    travis-ci: use ubuntu focal as host system
    
    fixes build issues with fedora:latest (f34) tag.

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e9d4412986de80ff0bc0dea1547e40e2502c248b
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 25 13:29:01 2021 +0200

    travis: disable travis builds for ubuntu
    
    Sadly, there is a limit for free builds at docker.com
    See discussion
    https://github.com/orgs/mate-desktop/teams/core-team/discussions/25

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8443c8c37d9a9f509a5bbc7e0f508a212cc597c4
Author: raveit65 <mate@raveit.de>
Date:   Tue Mar 9 13:58:21 2021 +0100

    travis: build with mate-common-1.24.2 from repos

 .build.yml | 12 ------------
 1 file changed, 12 deletions(-)

commit de6c58b485ec064d34b7c080108d2cc4dfdd9659
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Feb 22 14:03:59 2021 +0100

    xdg-user-dir-lookup: missing include guard

 savers/xdg-user-dir-lookup.h | 5 +++++
 1 file changed, 5 insertions(+)

commit dfad698c6914d376f899c629c5805377c1766ec1
Author: raveit65 <mate@raveit.de>
Date:   Mon Feb 22 22:54:47 2021 +0100

    tx: temporarily disable build for ArchLinux

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0f7bf195aa52ed536131da85ced76118498f5bde
Author: raveit65 <mate@raveit.de>
Date:   Mon Feb 22 22:54:30 2021 +0100

    tx: use rolling tag for ubuntu

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd0f9279eb831c49ac73b15f565bc9abcf9005ed
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Jan 31 20:52:34 2021 +0100

    i18n: Do not collect the translation for Icon (data folder)

 data/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 51e6322db5717c7baa9a517a19af163fbeed56a5
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Jan 15 18:18:39 2021 +0100

    i18n: Do not collect the translation for Icon

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6291c1d42768ca16a92f70506ba31483ee725e0e
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Jan 15 18:05:39 2021 +0100

    i18n: Do not prepend 'GNU ' prefix to the package name

 po/Makevars | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 720e7b28cd442c77462659a76287479f8007597c
Author: Pjotr123 <pjotrvertaalt@gmail.com>
Date:   Wed Jan 13 19:24:54 2021 +0100

    Removed translation for icon file name
    
    Can't be corrected on Transifex....

 po/nl.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f3478fa996eda7bdf408475d40a9f671aee8ea16
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Jan 17 15:28:00 2021 +0100

    mate-screensaver.directory.desktop: The Encoding key is deprecated

 data/mate-screensaver.directory.desktop.in | 1 -
 1 file changed, 1 deletion(-)

commit 01bdaecbc1fcaabdcd30d00ea0001464e631f690
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Dec 21 09:03:14 2020 +0100

    Remove warning -Wshadow

 savers/floaters.c                  | 69 +++++++++++++-------------------------
 src/mate-screensaver-dialog.c      | 10 +++---
 src/mate-screensaver-preferences.c | 15 ++++-----
 3 files changed, 36 insertions(+), 58 deletions(-)

commit 47b82dac66ee49d7b97827a28b3966503c8898bc
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Dec 8 22:04:27 2020 +0100

    lock-dialog-default: fix deprecations reported by glade

 data/lock-dialog-default.ui | 180 +++++++++++++++++++++++---------------------
 1 file changed, 96 insertions(+), 84 deletions(-)

commit b8d191e38e666f8d462c195b89c68c280ee8cb1e
Author: raveit65 <mate@raveit.de>
Date:   Tue Dec 8 17:33:29 2020 +0100

    update issue template

 .github/issue_template.md | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aecd77af5eaf347f6ed8ecc7527431a125ebc2b0
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Oct 16 11:24:05 2020 +0200

    Add Show/Hide password emblem in password entry

 .build.yml                                   |  189 ++
 .github/FUNDING.yml                          |    9 +
 .github/issue_template.md                    |   19 +
 .travis.yml                                  |   75 +
 .tx/config                                   |    9 +
 AUTHORS                                      |    7 +
 COPYING                                      |  339 ++++
 COPYING.LIB                                  |  481 +++++
 ChangeLog                                    |    2 +
 Makefile.am                                  |   65 +
 NEWS                                         |  179 ++
 README                                       |   44 +
 autogen.sh                                   |   24 +
 configure.ac                                 | 1171 ++++++++++++
 data/Makefile.am                             |  112 ++
 data/images/Makefile.am                      |   17 +
 data/images/cosmos/CREDITS                   |   29 +
 data/images/cosmos/Makefile.am               |   58 +
 data/images/cosmos/background-1.xml.in       |   92 +
 data/images/cosmos/blue-marble-west.jpg      |  Bin 0 -> 456110 bytes
 data/images/cosmos/cloud.jpg                 |  Bin 0 -> 1314514 bytes
 data/images/cosmos/comet.jpg                 |  Bin 0 -> 141297 bytes
 data/images/cosmos/cosmos.xml.in.in          |   11 +
 data/images/cosmos/earth-horizon.jpg         |  Bin 0 -> 210180 bytes
 data/images/cosmos/galaxy-ngc3370.jpg        |  Bin 0 -> 460107 bytes
 data/images/cosmos/helix-nebula.jpg          |  Bin 0 -> 138039 bytes
 data/images/cosmos/jupiter.jpg               |  Bin 0 -> 44528 bytes
 data/images/cosmos/sombrero.jpg              |  Bin 0 -> 552723 bytes
 data/images/cosmos/whirlpool.jpg             |  Bin 0 -> 1059826 bytes
 data/images/gnome-logo-white.svg             |    9 +
 data/images/mate-logo-white.svg              |  128 ++
 data/lock-dialog-default.ui                  |  425 +++++
 data/mate-screensaver                        |   15 +
 data/mate-screensaver-command.1              |   70 +
 data/mate-screensaver-preferences.1          |   50 +
 data/mate-screensaver-preferences.desktop.in |   16 +
 data/mate-screensaver-preferences.ui         |  582 ++++++
 data/mate-screensaver.1                      |   67 +
 data/mate-screensaver.directory.desktop.in   |    9 +
 data/mate-screensaver.pc.in                  |   18 +
 data/mate-screensavers.menu.in               |   20 +
 data/migrate-xscreensaver-config.sh          |   34 +
 data/org.mate.ScreenSaver.service.in         |    3 +
 data/org.mate.screensaver.gresource.xml      |   22 +
 data/org.mate.screensaver.gschema.xml.in     |   89 +
 data/xscreensaver-config.xsl                 |   27 +
 doc/Makefile.am                              |   29 +
 doc/config.xsl                               |    6 +
 doc/dbus-interface.xml                       |  488 +++++
 doc/docbook.css                              |   18 +
 doc/mate-screensaver.xml.in                  |   23 +
 git.mk                                       |  400 ++++
 its/wallpaper.its                            |   12 +
 its/wallpaper.loc                            |   10 +
 makepot                                      |    7 +
 mate-screensaver.pot                         |  773 ++++++++
 po/ChangeLog                                 | 2622 ++++++++++++++++++++++++++
 po/LINGUAS                                   |  109 ++
 po/Makevars                                  |   79 +
 po/POTFILES.in                               |   25 +
 po/POTFILES.skip                             |    7 +
 po/af.po                                     |  784 ++++++++
 po/am.po                                     |  783 ++++++++
 po/ar.po                                     |  810 ++++++++
 po/as.po                                     |  791 ++++++++
 po/ast.po                                    |  832 ++++++++
 po/az.po                                     |  783 ++++++++
 po/be.po                                     |  821 ++++++++
 po/bg.po                                     |  839 ++++++++
 po/bn.po                                     |  823 ++++++++
 po/bn_IN.po                                  |  823 ++++++++
 po/br.po                                     |  806 ++++++++
 po/bs.po                                     |  787 ++++++++
 po/ca.po                                     |  842 +++++++++
 po/ca@valencia.po                            |  840 +++++++++
 po/cmn.po                                    |  780 ++++++++
 po/crh.po                                    |  817 ++++++++
 po/cs.po                                     |  838 ++++++++
 po/cy.po                                     |  808 ++++++++
 po/da.po                                     |  822 ++++++++
 po/de.po                                     |  846 +++++++++
 po/dz.po                                     |  833 ++++++++
 po/el.po                                     |  842 +++++++++
 po/en_AU.po                                  |  817 ++++++++
 po/en_CA.po                                  |  800 ++++++++
 po/en_GB.po                                  |  819 ++++++++
 po/eo.po                                     |  786 ++++++++
 po/es.po                                     |  844 +++++++++
 po/es_AR.po                                  |  786 ++++++++
 po/es_CO.po                                  |  787 ++++++++
 po/es_MX.po                                  |  784 ++++++++
 po/et.po                                     |  820 ++++++++
 po/eu.po                                     |  819 ++++++++
 po/fa.po                                     |  820 ++++++++
 po/fi.po                                     |  814 ++++++++
 po/fr.po                                     |  847 +++++++++
 po/fr_CA.po                                  |  734 +++++++
 po/frp.po                                    |  783 ++++++++
 po/fur.po                                    |  734 +++++++
 po/fy.po                                     |  783 ++++++++
 po/ga.po                                     |  793 ++++++++
 po/gl.po                                     |  838 ++++++++
 po/gnome-copyrights.txt                      |  939 +++++++++
 po/gu.po                                     |  821 ++++++++
 po/he.po                                     |  820 ++++++++
 po/hi.po                                     |  811 ++++++++
 po/hr.po                                     |  832 ++++++++
 po/hu.po                                     |  829 ++++++++
 po/hy.po                                     |  824 ++++++++
 po/ia.po                                     |  784 ++++++++
 po/id.po                                     |  826 ++++++++
 po/ie.po                                     |  783 ++++++++
 po/is.po                                     |  815 ++++++++
 po/it.po                                     |  843 +++++++++
 po/ja.po                                     |  800 ++++++++
 po/ka.po                                     |  801 ++++++++
 po/kab.po                                    |  783 ++++++++
 po/kk.po                                     |  783 ++++++++
 po/kn.po                                     |  827 ++++++++
 po/ko.po                                     |  796 ++++++++
 po/ku.po                                     |  806 ++++++++
 po/ku_IQ.po                                  |  783 ++++++++
 po/ky.po                                     |  781 ++++++++
 po/lt.po                                     |  834 ++++++++
 po/lv.po                                     |  820 ++++++++
 po/mai.po                                    |  811 ++++++++
 po/mg.po                                     |  815 ++++++++
 po/mk.po                                     |  820 ++++++++
 po/ml.po                                     |  845 +++++++++
 po/mn.po                                     |  803 ++++++++
 po/mr.po                                     |  809 ++++++++
 po/ms.po                                     |  827 ++++++++
 po/nb.po                                     |  816 ++++++++
 po/nds.po                                    |  826 ++++++++
 po/ne.po                                     |  816 ++++++++
 po/nl.po                                     |  844 +++++++++
 po/nn.po                                     |  807 ++++++++
 po/oc.po                                     |  816 ++++++++
 po/or.po                                     |  826 ++++++++
 po/pa.po                                     |  809 ++++++++
 po/pl.po                                     |  842 +++++++++
 po/ps.po                                     |  784 ++++++++
 po/pt.po                                     |  842 +++++++++
 po/pt_BR.po                                  |  839 ++++++++
 po/ro.po                                     |  821 ++++++++
 po/ru.po                                     |  847 +++++++++
 po/rw.po                                     |  734 +++++++
 po/si.po                                     |  787 ++++++++
 po/sk.po                                     |  835 ++++++++
 po/sl.po                                     |  831 ++++++++
 po/sq.po                                     |  810 ++++++++
 po/sr.po                                     |  819 ++++++++
 po/sr@latin.po                               |  817 ++++++++
 po/sv.po                                     |  827 ++++++++
 po/ta.po                                     |  807 ++++++++
 po/te.po                                     |  811 ++++++++
 po/th.po                                     |  809 ++++++++
 po/tr.po                                     |  831 ++++++++
 po/ug.po                                     |  783 ++++++++
 po/uk.po                                     |  832 ++++++++
 po/ur.po                                     |  785 ++++++++
 po/uz.po                                     |  781 ++++++++
 po/vi.po                                     |  824 ++++++++
 po/wa.po                                     |  783 ++++++++
 po/xh.po                                     |  783 ++++++++
 po/zh_CN.po                                  |  789 ++++++++
 po/zh_HK.po                                  |  789 ++++++++
 po/zh_TW.po                                  |  791 ++++++++
 po/zu.po                                     |  734 +++++++
 savers/Makefile.am                           |  153 ++
 savers/cosmos-slideshow.desktop.in.in        |   12 +
 savers/floaters.c                            | 1236 ++++++++++++
 savers/footlogo-floaters.desktop.in.in       |   12 +
 savers/gnomelogo-floaters.desktop.in.in      |   12 +
 savers/gs-theme-engine-marshal.list          |    1 +
 savers/gs-theme-engine.c                     |  187 ++
 savers/gs-theme-engine.h                     |   88 +
 savers/gs-theme-window.c                     |  182 ++
 savers/gs-theme-window.h                     |   72 +
 savers/gste-popsquares.c                     |  602 ++++++
 savers/gste-popsquares.h                     |   57 +
 savers/gste-slideshow.c                      | 1050 +++++++++++
 savers/gste-slideshow.h                      |   69 +
 savers/personal-slideshow.desktop.in.in      |   12 +
 savers/popsquares.c                          |   72 +
 savers/popsquares.desktop.in.in              |   12 +
 savers/slideshow.c                           |  142 ++
 savers/xdg-user-dir-lookup.c                 |  168 ++
 savers/xdg-user-dir-lookup.h                 |   28 +
 src/Makefile.am                              |  289 +++
 src/copy-theme-dialog.c                      |  509 +++++
 src/copy-theme-dialog.h                      |   56 +
 src/debug-screensaver.sh                     |   42 +
 src/gs-auth-bsdauth.c                        |  103 +
 src/gs-auth-helper.c                         |  213 +++
 src/gs-auth-pam.c                            |  836 ++++++++
 src/gs-auth-pwent.c                          |  291 +++
